Get pull data
GET
/namespaces/{namespace}/repos/{repo}/pulls Gets pulls for the given repo.
Connection and access
API connection and authentication guidance
https://hub.docker.com/api/publisher/analytics/v1
Use one of these alternatives. Requirements within an alternative apply together.
HubAuth
Parameters
namespace
path
Required
Namespace to fetch data for
Type:
string
All schema constraints and annotations
{
"type": "string"
}repo
path
Required
Repository to fetch data for
Type:
string
All schema constraints and annotations
{
"type": "string"
}timespan
query
Timespan type for fetching data
Schema:
TimespanType
period
query
Relative period of the period to fetch data
Schema:
PeriodType
group
query
Field to group the data by
Schema:
GroupType
Request and responses
Response
200
Success
application/json
Schema:
PullData
Schema example
{
"pulls": [
{
"end": "2022-08-07T00:00:00Z",
"ipCount": 10,
"pullCount": 11,
"repo": "neo4j-admin",
"start": "2022-08-01T00:00:00Z"
},
{
"end": "2022-08-14T00:00:00Z",
"ipCount": 10,
"pullCount": 11,
"repo": "neo4j-admin",
"start": "2022-08-08T00:00:00Z"
}
]
}Schema example
{
"pulls": null
}Response
404
Not found - repo doesn't exist or user does not have permission to access it
No response content is declared.
Referenced schemas
#/components/schemas/GroupType
#/components/schemas/PeriodType
#/components/schemas/TimespanType
Complete operation contract
{
"description": "Gets pulls for the given repo.",
"operationId": "getRepoPulls",
"parameters": [
{
"description": "Namespace to fetch data for",
"in": "path",
"name": "namespace",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Repository to fetch data for",
"in": "path",
"name": "repo",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Timespan type for fetching data",
"in": "query",
"name": "timespan",
"required": false,
"schema": {
"$ref": "#/components/schemas/TimespanType"
}
},
{
"description": "Relative period of the period to fetch data",
"in": "query",
"name": "period",
"required": false,
"schema": {
"$ref": "#/components/schemas/PeriodType"
}
},
{
"description": "Field to group the data by",
"in": "query",
"name": "group",
"required": false,
"schema": {
"$ref": "#/components/schemas/GroupType"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PullData"
}
}
},
"description": "Success"
},
"404": {
"description": "Not found - repo doesn't exist or user does not have permission to access it"
}
},
"summary": "Get pull data",
"tags": [
"namespaces"
]
}